Invite user to workspace
curl --request POST \
--url https://api.blaxel.ai/v0/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com"
}
'import requests
url = "https://api.blaxel.ai/v0/users"
payload = { "email": "jsmith@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com'})
};
fetch('https://api.blaxel.ai/v0/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"email": "<string>",
"expiresAt": "<string>",
"invitedBy": "<string>",
"role": "<string>",
"workspace": "<string>"
}workspaces
Invite user to workspace
Invites a new team member to the workspace by email. The invitee will receive an email to accept the invitation before gaining access to workspace resources.
POST
/
users
Invite user to workspace
Authorizations
OAuth2ApiKeyAuth
OAuth2 authentication with JWT tokens
Body
application/json
Email of the user to invite
Response
successful operation
Pending invitation in workspace
The date and time when the resource was created
The date and time when the resource was updated
The user or service account who created the resource
The user or service account who updated the resource
User email
The date and time when the invitation expires
User sub
ACL role
Workspace name
Last modified on September 11, 2026
Was this page helpful?